// Device.h
#ifndef _DEVICE_H
#define _DEVICE_H

class Device {

	static Device *First;
	Device	*Next, *Prev;

protected:
	static bool AddDevice(Device *pDev);
	static bool RemoveDevice(Device *pDev);
	bool	Print(char *str, ...);
	void	CriticalExit(char *str, ...);

	char		Name[16];
	static bool	Verbose;

public:
	Device();
	virtual ~Device();

	static Device *FindDevice(char *Name);
	static bool SetVerbose(bool v);
};

#endif
