// Device.h
#ifndef _DEVICE_H
#define _DEVICE_H

class GDevice {

	static GDevice *First;
	GDevice	*Next, *Prev;

protected:
	static bool AddDevice(GDevice *pDev);
	static bool RemoveDevice(GDevice *pDev);
	bool	Print(char *str, ...);
	void	CriticalExit(char *str, ...);

	char		Name[16];
	static bool	Verbose;

public:
	GDevice();
	virtual ~GDevice();

	static GDevice *FindDevice(char *Name);
	static bool SetVerbose(bool v);
};

#endif
